Bug 784792 - Request: update CouchDB to 1.0.3
Summary: Request: update CouchDB to 1.0.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: couchdb
Version: el5
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-26 09:14 UTC by Nils Breunese
Modified: 2013-02-15 18:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-15 18:35:45 UTC


Attachments (Terms of Use)

Description Nils Breunese 2012-01-26 09:14:13 UTC
Back in July 2011 CouchDB 1.0.3 was released with quite a number of bugfixes over 1.0.2, which is the current version in EPEL.

Release announcement: http://mail-archives.apache.org/mod_mbox/www-announce/201107.mbox/%3CAD5C05F9-11BD-444B-B526-AFA82FDBDDC2@apache.org%3E

----
Changes in this release:

 * Fixed compatibility issues with Erlang R14B02.
 * Fix bug that allows invalid UTF-8 after valid escapes.
 * Enabled replication over IPv6.
 * Fixed for crashes in continuous and filtered changes feeds.
 * Changes feeds now honor conflicts=true parameter.
 * Fixed error when restarting replications in OTP R14B02.
 * Fixed error with filter replication with a limit of 1.
 * Upgrade ibrowse to version 2.2.0.
 * Fixed OAuth signature computation in OTP R14B02.
 * Handle passwords with : in them.
 * Made compatible with jQuery 1.5.x.
 * Added support for inclusive_end with reduce views.
 * Etap tests no longer require use of port 5984.
 * Windows builds now require ICU >= 4.4.0 and Erlang >= R14B03.
----

Could the CouchDB package in EPEL be updated to (at least) version 1.0.3?

http://couchdb.apache.org/downloads.html

Comment 1 Wendall Cada 2012-03-09 17:21:44 UTC
I've started a 1.2.0 pre-release package based off of git head. 1.2.0 should be released later this week. I've removed support for RHEL 5, as this was way beyond the amount of work I wanted to put into this package.

https://github.com/wendall911/couchdb-rpm

This package is becoming very, very stale. Even backported patches are being neglected here, not sure what needs to happen to get this updated. One issue is that another dependency, Spidermonkey is also being neglected. These projects are not core system libs, they move a little faster than needing updates every five years. It's actually harmful to the projects to have these in the repos at all in their current state. I wonder if they can just be removed so maybe IUS can pick them up?

Comment 2 Peter Lemenkov 2012-03-11 12:48:52 UTC
(In reply to comment #1)
> I've started a 1.2.0 pre-release package based off of git head. 1.2.0 should be
> released later this week. I've removed support for RHEL 5, as this was way
> beyond the amount of work I wanted to put into this package.
> 
> https://github.com/wendall911/couchdb-rpm
> 
> This package is becoming very, very stale. Even backported patches are being
> neglected here, not sure what needs to happen to get this updated. One issue is
> that another dependency, Spidermonkey is also being neglected. These projects
> are not core system libs, they move a little faster than needing updates every
> five years. It's actually harmful to the projects to have these in the repos at
> all in their current state. I wonder if they can just be removed so maybe IUS
> can pick them up?

Hello. Yes, unfortunately, I don't have much time to look after the couchdb recently. On the other hand I don't see any BZ tickets opened so I wouldn't say that the package is stale/buggy.

https://bugzilla.redhat.com/buglist.cgi?component=couchdb

Btw are you interested in maintaining it? It will be great if you step in and continue building it in Fedora/EPEL..

Comment 3 Nils Breunese 2012-03-11 12:57:40 UTC
According to the 1.0.3 changelog there are a few bugs in 1.0.2 that are fixed in 1.0.3, so I guess there are a few known bugs in the currently distributed 1.0.2 package, which is why I opened this ticket.

Currently both the 1.0.x and 1.1.x branches are maintained by the Apache CouchDB project. When 1.2.0 gets released (probably soon), they might drop the 1.0.x branch. I'm not 100% sure, but I believe they maintain the latest two minor version branches.

Comment 4 Peter Lemenkov 2012-03-11 19:51:15 UTC
Ok, I've just updated couchdb up to 1.0.3 (in EL-6) and 1.1.1 (in F-16+). The 1.1.1 version in EL-6  will require additional magic. Also the 1.0.3 version failed to pass the tests in EL-5 (although it builds ust fine on my centos5 box) - will investigate this issue in a couple of days.

https://admin.fedoraproject.org/updates/couchdb

Comment 5 devurandom 2012-12-05 15:27:46 UTC
Has there been any progress with this? EPEL for RHEL5 still ships 1.0.2, as it seems.

Comment 6 Fedora Update System 2013-01-23 16:08:07 UTC
couchdb-1.0.4-2.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/couchdb-1.0.4-2.el5.1

Comment 7 Fedora Update System 2013-01-23 16:08:54 UTC
couchdb-1.0.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/couchdb-1.0.4-2.el6

Comment 8 Peter Lemenkov 2013-01-23 16:38:31 UTC
Ok, I've finally managed to update it up to 1.0.4. Sorry for being so late.

Comment 9 Fedora Update System 2013-01-23 21:59:36 UTC
Package couchdb-1.0.4-2.el5.1:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing couchdb-1.0.4-2.el5.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0173/couchdb-1.0.4-2.el5.1
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-02-15 18:35:46 UTC
couchdb-1.0.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-15 18:37:47 UTC
couchdb-1.0.4-2.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.